Subject: bug#48639: 28.0.50; tabulated-list-mode: columns move if previous entry was too long

From: Stefan Kangas <[email-masked]>
Date: Sun, 19 Sep 2021 10:07:39 -0700

tags 48639 + confirmed
thanks

Jean Louis <[email-masked]> writes:

> Tabulated list mode got quite a good support for zooming. Though I am
> observing that if one of entries was too long that the next entry will
> stick to the previous on decrease of text size. Video is to explain it:
>
> https://gnu.support/files/tmp/2021-05-25/2021-05-25-08:00:37.ogv
>
> In this case, on the video, the word "Task" is moved away from the
> column because the previous entry is too long, the one which shows three
> dots on the end.

I can reproduce this on current master.

The problem can be observed in e.g. M-x list-processes, reducing the
width of a column with `{' until it is too narrow to fit the text (you
now see "..."), and finally `C-x -' to decrease the font size.